=== debian/changelog ===
hexagon-dsp-binaries (0~20250917-1) experimental; urgency=medium

  * Initial release. (Closes: #1101838)
  * Upload to experimental as a way to let firmware-nonfree maintainers to
    react and to discuss further points.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Tue, 11 Nov 2025 15:33:44 +0200
