## hexagon-dsp-binaries 0~20251011

=== debian/changelog ===
hexagon-dsp-binaries (0~20251011-1) experimental; urgency=medium

  * New upstream release.
  * Include linux-firmware excerpts as a separate component. Licence for
    Makefile is based on the upstream commit. There is no licence for the
    firmware/WHENCE file per upstream maintainers (nor is it possible to
    establish one).
  * Package Qualcomm Hexagon firmware into a separate package per agreement
    with the kernel team. Relevant parts will be dropped from firmware-nonfree
    at some point in future.
  * Still upload to experimental, pending firmware-nonfree maintainers
    blessing.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Tue, 09 Dec 2025 18:59:50 +0200
