=== debian/control ===
Source: hexagon-dsp-binaries
Section: non-free-firmware/libs
Priority: optional
Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
Build-Depends:
 debhelper-compat (= 13), dpkg-build-api (=1), python3-debian, python3-minimal, rdfind
Standards-Version: 4.7.2
Homepage: https://github.com/linux-msm/hexagon-dsp-binaries/
Vcs-Browser: https://salsa.debian.org/lumag/hexagon-dsp-binaries
Vcs-Git: https://salsa.debian.org/lumag/hexagon-dsp-binaries.git

Package: hexagon-dsp-binaries
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
Description: Hexagon DSP binaries and libraries
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 These binaries include fastrpc_shell_N (where N is 0, 1, 2, 3),
 fastrpc_shell_unsigned_N (N = 3, special version of shell for CDSP only),
 libraries implementing necessary hooks, etc.
 .
 This is an empty package which depends on all actual Hexagon DSP binary
 packages.

Package: firmware-qcom-dsp
Architecture: all
Depends:
 ${misc:Depends}
Replaces: firmware-qcom-soc (<= 20251112)
Breaks: firmware-qcom-soc (<= 20251112)
Description: Binary firmware for DSP on Qualcomm SoCs
 This package contains the binary firmware for Hexagon DSP found on various
 Qualcomm Snapdragon platforms.

Package: hexagon-dsp-binaries-qualcomm-db820c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm db820c
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm db820c device.

Package: hexagon-dsp-binaries-thundercomm-db845c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm db845c
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm db845c device.

Package: hexagon-dsp-binaries-thundercomm-rb5
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB5
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB5 device.

Package: hexagon-dsp-binaries-thundercomm-rb1
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB1
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB1 device.

Package: hexagon-dsp-binaries-thundercomm-rb2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB2
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB2 device.

Package: hexagon-dsp-binaries-thundercomm-rb3gen2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB3gen2
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB3gen2 device.

Package: hexagon-dsp-binaries-qualcomm-sa8775p-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm SA8775P-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm SA8775P-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-qcs8300-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm QCS8300-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm QCS8300-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-qcs615-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm QCS615-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm QCS615-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-iq8275-evk
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-qcs8300-ride, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm IQ8275-EVK dsp adsp
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm IQ8275-EVK dsp adsp device.

Package: hexagon-dsp-binaries-qualcomm-iq9075-evk
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-sa8775p-ride, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm IQ9075-EVK dsp adsp
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm IQ9075-EVK dsp adsp device.
