=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/linux-msm/hexagon-dsp-binaries/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%api.github.com/repos/([^/]+)/([^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/$2/releases/download/$3/$2_$3.tar.gz%
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
Dversion-Mangle: s%^0~%%
Oversion-Mangle: s%^%0~%
Pgp-Sig-Url-Mangle: s%$%.asc%

Template: gitlab
Dist: https://gitlab.com/kernel-firmware/linux-firmware
Component: firmware
Dversion-Mangle: s/^0~//
Oversion-Mangle: s/^/0~/
