=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hexagon-dsp-binaries
 Section: non-free-firmware/libs
-Priority: optional
 Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
 Build-Depends:
  debhelper-compat (= 13), dpkg-build-api (=1), python3-debian, python3-minimal, rdfind
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/linux-msm/hexagon-dsp-binaries/
 Vcs-Browser: https://salsa.debian.org/lumag/hexagon-dsp-binaries
 Vcs-Git: https://salsa.debian.org/lumag/hexagon-dsp-binaries.git
@@ -12,7 +11,7 @@
 Package: hexagon-dsp-binaries
 Architecture: all
 Depends:
- ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
+ ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-hamoa-iot-evk, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
 Description: Hexagon DSP binaries and libraries
  While firmware-qcom-dsp contains firmware for the DSPs present on the devices
  using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
@@ -30,8 +29,8 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Replaces: firmware-qcom-soc (<= 20251112)
-Breaks: firmware-qcom-soc (<= 20251112)
+Replaces: firmware-qcom-soc (<= 20251125-1~)
+Breaks: firmware-qcom-soc (<= 20251125-1~)
 Description: Binary firmware for DSP on Qualcomm SoCs
  This package contains the binary firmware for Hexagon DSP found on various
  Qualcomm Snapdragon platforms.
@@ -144,6 +143,18 @@
  .
  This package provides binaries for Qualcomm QCS615-RIDE device.
 
+Package: hexagon-dsp-binaries-qualcomm-hamoa-iot-evk
+Architecture: all
+Depends:
+ ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
+Description: Hexagon DSP binaries and libraries for Qualcomm Hamoa-IoT-EVK
+ While firmware-qcom-dsp contains firmware for the DSPs present on the devices
+ using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
+ or getting the sensors data on those devices requires additional set of
+ binaries to be executed on the DSP side.
+ .
+ This package provides binaries for Qualcomm Hamoa-IoT-EVK device.
+
 Package: hexagon-dsp-binaries-qualcomm-iq8275-evk
 Architecture: all
 Depends:
