## hexagon-dsp-binaries 0~20251125

=== debian/changelog ===
hexagon-dsp-binaries (0~20251125-1) unstable; urgency=medium

  * New upstream release, skipping 20251111.
  * d/copyright: update licence for kaanapali, add sm8750 firmware

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Wed, 18 Feb 2026 12:19:36 +0200
